## xrdp 0.10.1

=== debian/changelog ===
xrdp (0.10.1-4) unstable; urgency=medium

  * Ack NMU.
  * d/rules: disabled fuse.
  * d/control:
    - disable fuse. (Closes: #1121185)
    - drop guacamole from Suggests: (Closes: #1118245)
  * d/watch: upgrade to version 5. (Closes: #1095998)
  * d/clean: updated.

 -- Alex Myczko <tar@debian.org>  Sat, 27 Dec 2025 08:20:49 +0000

xrdp (0.10.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly configure debian pam configuration. (Closes: #1104505)

 -- Bastian Germann <bage@debian.org>  Fri, 06 Jun 2025 12:43:34 +0200

xrdp (0.10.1-3) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #888772) (Thanks Helmut Grohne for the patch)
    + Avoid useless install-data-hook running host programs.
  * d/rules: disable tests.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Aug 2024 06:24:26 +0000

xrdp (0.10.1-2) unstable; urgency=medium

  * d/control:
    - switch build depends of systemd to systemd-dev (Closes: #106580)
    - drop version from autoconf and automake

 -- Alex Myczko <tar@debian.org>  Wed, 21 Aug 2024 15:08:22 +0000

xrdp (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop dvorak patch, as upstreamed.

 -- Alex Myczko <tar@debian.org>  Sun, 11 Aug 2024 11:10:04 +0000
