=== debian/control ===
Source: xrdp
Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
Uploaders:
 Dominik George <natureshadow@debian.org>,
 Mike Gabriel <sunweaver@debian.org>,
 Thorsten Glaser <tg@mirbsd.de>,
 Alex Myczko <tar@debian.org>,
Section: net
Priority: optional
Build-Depends:
 autoconf,
 automake,
 check,
 debhelper-compat (= 12),
 libjpeg-dev,
 libcmocka-dev,
 libopus-dev,
 libpam0g-dev,
 libssl-dev,
 libtool,
 libx11-dev,
 libxfixes-dev,
 libxrandr-dev,
 nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
 openssl,
 pkgconf,
 systemd-dev [linux-any],
Homepage: https://www.xrdp.org/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git

Package: xrdp
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 adduser,
 sysvinit-utils (>= 3.06-4),
 ssl-cert,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 xorgxrdp,
Description: Remote Desktop Protocol (RDP) server
 xrdp offers a graphical login to a remote client using
 RDP (the Remote Desktop Protocol). xrdp can connect to
 a locally created X.org session with the xorgxrdp drivers,
 to a VNC X11 server, and forward to another RDP server.
 .
 xrdp accepts connections from freerdp, rdesktop, and the
 built-in terminal server / remote desktop clients of
 Microsoft Windows operating systems.
 In the xorgxrdp (which replaces X11RDP) and VNC modes,
 it provides a fully functional Linux terminal server,
 offering an X-Window desktop to the user. In the RDP
 or VNC forwarding mode, any sort of desktop can be used.
