## xrdp 0.10.2

=== debian/changelog ===
xrdp (0.10.2-2) experimental; urgency=medium

  * d/control: add build-depends libx264-dev and libopenh264-dev.
  * d/rules: enable building with x264 support. (Closes: #1093722)
  * instfiles/xrdp.service.in: patched to run as xrdp.

 -- Alex Myczko <tar@debian.org>  Wed, 22 Jan 2025 10:23:17 +0000

xrdp (0.10.2-1) experimental; urgency=medium

  * New upstream version.
  * d/control:
    - move from fuse to fuse3. (Closes: #1084479)
    - drop Suggests. (Closes: #1089217)

 -- Alex Myczko <tar@debian.org>  Tue, 21 Jan 2025 08:33:57 +0000
