=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  automake,
  check,
  debhelper-compat (= 12),
+ libfuse3-dev (>= 3.10.1-3) [!hurd-any] | libfuse-dev (<< 3) [!hurd-any],
  libjpeg-dev,
  libcmocka-dev,
  libopus-dev,
@@ -21,7 +22,9 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
- nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
+ libx264-dev,
+ libopenh264-dev,
+ nasm [amd64 hurd-i386 i386],
  openssl,
  pkgconf,
  systemd-dev [linux-any],
@@ -41,6 +44,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ fuse3 (>= 3.10.1-3) [!hurd-any] | fuse (<< 3) [!hurd-any],
  xorgxrdp,
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
