=== debian/rules ===
--- 
+++ 
@@ -52,10 +52,10 @@
 CONFIGURE_ARGS+=	--without-simd
 endif
 
-#ifeq (hurd,${DEB_HOST_ARCH_OS})
+ifeq (hurd,${DEB_HOST_ARCH_OS})
 # fuse_lowlevel.h is not yet usable
 CONFIGURE_ARGS+=	--disable-fuse
-#endif
+endif
 
 %:
 	dh $@
@@ -70,9 +70,9 @@
 	    --enable-fuse \
 	    --enable-rfxcodec \
 	    --enable-opus \
+	    --enable-x264 \
+	    --enable-openh264 \
 	    --enable-painter \
-	    --enable-pam \
-	    --enable-pam-config=debian \
 	    --enable-vsock \
 	    ${CONFIGURE_ARGS}
 	cd librfxcodec && ./configure \
