=== debian/changelog ===
xrdp (0.10.4.1-2) experimental; urgency=medium

  * d/control: add missing build-depends.

 -- Alex Myczko <tar@debian.org>  Fri, 12 Sep 2025 09:31:50 +0200

xrdp (0.10.4.1-1) experimental; urgency=medium

  * New upstream version.
  * Ack NMU.

 -- Alex Myczko <tar@debian.org>  Mon, 08 Sep 2025 13:54:56 +0200
