=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  automake,
  check,
  debhelper-compat (= 12),
- libfuse3-dev (>= 3.10.1-3) [!hurd-any] | libfuse-dev (<< 3) [!hurd-any],
+ libfuse3-dev [!hurd-any],
  libjpeg-dev,
  libcmocka-dev,
  libopus-dev,
@@ -22,9 +22,7 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
- libx264-dev,
- libopenh264-dev,
- nasm [amd64 hurd-i386 i386],
+ nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
  openssl,
  pkgconf,
  systemd-dev [linux-any],
@@ -44,8 +42,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- fuse3 (>= 3.10.1-3) [!hurd-any] | fuse (<< 3) [!hurd-any],
+ fuse [!hurd-any],
  xorgxrdp,
+Suggests:
+ guacamole,
 Description: Remote Desktop Protocol (RDP) server
  xrdp offers a graphical login to a remote client using
  RDP (the Remote Desktop Protocol). xrdp can connect to
