## xrdp 0.10.5

=== debian/changelog ===
xrdp (0.10.5-3) unstable; urgency=medium

  * Bump standards version to 4.7.3.

 -- Alex Myczko <tar@debian.org>  Mon, 23 Feb 2026 20:21:46 +0000

xrdp (0.10.5-2) experimental; urgency=medium

  * d/patches/series: re-enabled config.diff change. (Closes: #1127009)

 -- Alex Myczko <tar@debian.org>  Sat, 14 Feb 2026 18:25:35 +0000

xrdp (0.10.5-1) experimental; urgency=medium

  * New upstream version. (Closes: #1126537) (CVE-2025-68670)
  * d/control: drop Rules-Requires-Root.
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Fri, 30 Jan 2026 15:58:54 +0100
