=== debian/control ===
--- 
+++ 
@@ -22,13 +22,12 @@
  libx11-dev,
  libxfixes-dev,
  libxrandr-dev,
- nasm [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386],
+ nasm [amd64 hurd-i386 i386],
  openssl,
  pkgconf,
  systemd-dev [linux-any],
 Homepage: https://www.xrdp.org/
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/xrdp
 Vcs-Git: https://salsa.debian.org/debian-remote-team/xrdp.git
